composer items panel: allow for stack re-ording by drag'n dropping items

2014-08-14 07:23 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Low

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19392

Description

It would be very useful to be able to modify the items' stack ordering by via drag'n dropping items in the items panel' list. In addition to

drag'n drop operation, it would be useful (for touch-based interface) to have a toolbar below the list to do such operations. See attached

screenshot of what GIMP does.

Associated revisions

Revision a4377ae0 - 2014-09-01 11:50 AM - Nyall Dawson

[composer] Support drag and drop restacking of items via item panel (fix #11058)

History

#1 - 2014-08-14 07:28 PM - Mathieu Pellerin - nIRV

- Target version set to Future Release - Nice to have

- Assignee set to Nyall Dawson

- Category set to GUI

- Affected QGIS version changed from 2.4.0 to master

- Priority changed from Normal to Low

Sorry, this should have been a feature request.

#2 - 2014-08-14 08:02 PM - Mathieu Pellerin - nIRV

- Category changed from GUI to Map Composer/Printing

#3 - 2014-09-01 02:53 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"a4377ae0297dfffb721a1e2ee44132adf855b99d".
